/***日期转换函数*
 *  "yyyy-MM-dd HH:mm:ss"
 */
export  function dateFormat(format, v) {
    if (v) {
        var o = {
            "M+": v.getMonth() + 1, //月份           
            "d+": v.getDate(), //日           
            "h+": v.getHours() % 12 == 0 ? 12 : v.getHours() % 12, //小时           
            "H+": v.getHours(), //小时           
            "m+": v.getMinutes(), //分           
            "s+": v.getSeconds(), //秒           
            "q+": Math.floor((v.getMonth() + 3) / 3), //季度           
            "S": v.getMilliseconds() //毫秒           
        };
        var week = {
            "0": "\u65e5",
            "1": "\u4e00",
            "2": "\u4e8c",
            "3": "\u4e09",
            "4": "\u56db",
            "5": "\u4e94",
            "6": "\u516d"
        };
        if (/(y+)/.test(format)) {
            format = format.replace(RegExp.$1, (v.getFullYear() + "").substr(4 - RegExp.$1.length));
        }
        if (/(E+)/.test(format)) {
            format = format.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "\u661f\u671f" : "\u5468") : "") + week[v.getDay() + ""]);
        }
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(format)) {
                format = format.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
            }
        }
        return format;

    }
}

/**
 * 两个时间相减
 * @param starttime
 * @param endtime
 * @returns
 */
export function GetDateDiff(starttime)
{ 
  if( starttime == null){
  return "";
 } 
 var sd = starttime ;
 //此处是解决浏览器兼容性问题，Firefox只能认识2015/06/05格式
    var sd2 = sd.replace(/-/g,"/");
 var startTime = new Date(sd2);
 var endTime = new Date();
 var result = "";
 
 var date3=endTime.getTime()-startTime.getTime(); //时间差的毫秒数 
 
 //计算出相差天数
 var days=Math.floor(date3/(24*3600*1000));
 
 result += days > 0 ? days + "天" : "0天";  
 //计算出小时数
 var leave1=date3%(24*3600*1000);     //计算天数后剩余的毫秒数
 var hours=Math.floor(leave1/(3600*1000));
 
 result += hours > 0 ? hours + "小时" : "0小时"; 
 
 //计算相差分钟数
 var leave2=leave1%(3600*1000);        //计算小时数后剩余的毫秒数
 var minutes=Math.floor(leave2/(60*1000));
 
 result += minutes > 0 ? minutes + "分钟" : "0分钟";
 //计算相差秒数
// var leave3=leave2%(60*1000);          //计算分钟数后剩余的毫秒数
// var seconds=Math.round(leave3/1000);
// 
// result += seconds > 0 ? seconds + "秒" : "";  
  
 return result == "" ? "" : result; 
};